Package jebl.evolution.coalescent

# Class DemographicFunction.Utils

java.lang.Object
jebl.evolution.coalescent.DemographicFunction.Utils

Enclosing interface:
  `DemographicFunction`

public static class DemographicFunction.Utils extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`testConsistency(DemographicFunction demographicFunction, int steps, double maxTime)`
This function tests the consistency of the getIntensity and getInverseIntensity methods of this demographic model.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### testConsistency

public static void testConsistency(DemographicFunction demographicFunction, int steps, double maxTime)
This function tests the consistency of the getIntensity and getInverseIntensity methods of this demographic model. If the model is inconsistent then a RuntimeException will be thrown.

Parameters:
  `demographicFunction` - the demographic model to test.
  `steps` - the number of steps between 0.0 and maxTime to test.
  `maxTime` - the maximum time to test.